using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MDC.ProductionSystem
{
    static partial class ConveyorBeltsConnectedToConveyorBeltBuilder
    {
        private static bool CanAcceptConveyorBeltAsSource(ConveyorBelt source)
        {
            return true;
        }

        private static bool CanAcceptConveyorBeltAsTarget(ConveyorBelt source)
        {
            return true;
        }

        private static bool CanAcceptConveyorBeltAndConveyorBeltAsSourceAndTarget(ConveyorBelt source, ConveyorBelt target)
        {
            return source != target;
        }
    }
}
